std::__profile::list< _Tp, _Allocator > Class Template Reference

Inherits list< _Tp, _Allocator >, and std::__profile::_List_profile< _List >.

## Public Types

typedef _Allocator | allocator_type
typedef __iterator_tracker< typename _Base::const_iterator, list > | const_iterator
typedef _Base::const_pointer | const_pointer
typedef _Base::const_reference | const_reference
typedef std::reverse_iterator< const_iterator > | const_reverse_iterator
typedef _Base::difference_type | difference_type
typedef __iterator_tracker< typename _Base::iterator, list > | iterator
typedef _Base::pointer | pointer
typedef _Base::reference | reference
typedef std::reverse_iterator< iterator > | reverse_iterator
typedef _Base::size_type | size_type
typedef _Tp | value_type

## Public Member Functions

| list (const list &)=default
| list (list &&)=default
| list (initializer_list< value_type > __l, const allocator_type &__a=allocator_type())
| list (const _Allocator &__a) noexcept
| list (size_type __n)
| list (size_type __n, const _Tp &__value, const _Allocator &__a=_Allocator())
template<typename _InputIterator , typename = std::_RequireInputIter<_InputIterator>>
| list (_InputIterator __first, _InputIterator __last, const _Allocator &__a=_Allocator())
| list (const _Base &__x)
_Base & | _M_base () noexcept
const _Base & | _M_base () const noexcept
void | _M_profile_construct () noexcept
void | _M_profile_destruct () noexcept
void | _M_profile_iterate (int __rewind=0) const
void | _M_swap (_List_profile &__other)
reference | back () noexcept
const_reference | back () const noexcept
iterator | begin () noexcept
const_iterator | begin () const noexcept
const_iterator | cbegin () const noexcept
const_iterator | cend () const noexcept
void | clear () noexcept
const_reverse_iterator | crbegin () const noexcept
const_reverse_iterator | crend () const noexcept
template<typename... _Args>
iterator | emplace (const_iterator __position, _Args &&... __args)
iterator | end () noexcept
const_iterator | end () const noexcept
iterator | erase (const_iterator __pos) noexcept
iterator | erase (const_iterator __pos, const_iterator __last) noexcept
iterator | insert (const_iterator __pos, const _Tp &__x)
iterator | insert (const_iterator __pos, _Tp &&__x)
iterator | insert (const_iterator __pos, initializer_list< value_type > __l)
iterator | insert (const_iterator __pos, size_type __n, const _Tp &__x)
template<typename _InputIterator , typename = std::_RequireInputIter<_InputIterator>>
iterator | insert (const_iterator __pos, _InputIterator __first, _InputIterator __last)
void | merge (list &&__x)
void | merge (list &__x)
template<class _Compare >
void | merge (list &&__x, _Compare __comp)
template<typename _Compare >
void | merge (list &__x, _Compare __comp)
list & | operator= (const list &)=default
list & | operator= (list &&)=default
list & | operator= (initializer_list< value_type > __l)
void | pop_back () noexcept
void | pop_front () noexcept
void | push_front (const value_type &__x)
reverse_iterator | rbegin () noexcept
const_reverse_iterator | rbegin () const noexcept
void | remove (const _Tp &__value)
template<class _Predicate >
void | remove_if (_Predicate __pred)
reverse_iterator | rend () noexcept
const_reverse_iterator | rend () const noexcept
void | splice (const_iterator __pos, list &&__x) noexcept
void | splice (const_iterator __pos, list &__x) noexcept
void | splice (const_iterator __pos, list &__x, const_iterator __i)
void | splice (const_iterator __pos, list &&__x, const_iterator __i) noexcept
void | splice (const_iterator __pos, list &&__x, const_iterator __first, const_iterator __last) noexcept
void | splice (const_iterator __pos, list &__x, const_iterator __first, const_iterator __last) noexcept
void | swap (list &__x) noexcept(noexcept(declval< _Base >().swap(__x)))
void | unique ()
template<class _BinaryPredicate >
void | unique (_BinaryPredicate __binary_pred)

## Public Attributes

__gnu_profile::__list2slist_info * | _M_list2slist_info
__gnu_profile::__list2vector_info * | _M_list2vector_info

## Detailed Description

### template<typename _Tp, typename _Allocator = std::allocator<_Tp>>
class std::__profile::list< _Tp, _Allocator >

List wrapper with performance instrumentation.

Definition at line 106 of file profile/list.

The documentation for this class was generated from the following file:

- profile/list